"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonOutputHandler = void 0;
const fs_1 = require("fs");
class JsonOutputHandler {
    constructor({ destinationPath }) {
        this.defaultFileName = 'icons.json';
        this.destinationPath = destinationPath;
    }
    run(parsedIcons) {
        let destinationPath = this.destinationPath;
        const stats = fs_1.statSync(destinationPath);
        if (stats.isDirectory()) {
            destinationPath = `${destinationPath}/${this.defaultFileName}`;
        }
        fs_1.writeFileSync(destinationPath, JSON.stringify(parsedIcons));
    }
}
exports.JsonOutputHandler = JsonOutputHandler;
